{
  flake,
  config,
  configHelpers,
  ...
}:
let
  inherit (flake.config.machines.devices) ceres;
in
{
  port = configHelpers.service.ports.port0;
  bind_address =
    if configHelpers.hostname == ceres.name then ceres.wireguard.ip0 else configHelpers.localhost;
  secret_key = config.sops.secrets.searx-key.path;
  limiter = false;
  public_instance = false;
  image_proxy = true;
  method = "GET";
}
// (
  if configHelpers.hostname == ceres.name then
    {
      base_url = "https://${configHelpers.host}";
    }
  else
    { }
)
